# $Revision: 1.38 $, $Date: 2008/04/08 08:24:52 $
Summary:	A perfect hash function generator
Summary(pl.UTF-8):	Generator funkcji haszujących
Name:		gperf
Version:	3.0.3
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://ftp.gnu.org/gnu/gperf/%{name}-%{version}.tar.gz
# Source0-md5:	cc20e58975a38075440423c8fb85fd00
Patch0:		%{name}-info.patch
Patch1:		%{name}-no_dvi_html.patch
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gperf is a perfect hash function generator written in C++. Simply
stated, a perfect hash function is a hash function and a data
structure that allows recognition of a key word in a set of words
using exactly one probe into the data structure.

%description -l pl.UTF-8
Gperf jest napisanym w C++ generatorem doskonałych funkcji
haszujących. Doskonała funkcja haszująca to funkcja haszująca oraz
struktura danych, pozwalająca rozpoznać słowo kluczowe w zbiorze słów
wykorzystując dokładnie jedną próbę.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{_bindir}/gperf
%{_mandir}/man1/gperf.1*
%{_infodir}/gperf.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gperf.spec,v $
Revision 1.38  2008/04/08 08:24:52  glen
- unify ftp.gnu.org urls

Revision 1.37  2008-01-24 01:23:00  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.36  2007-06-16 09:28:33  qboosh
- updated to 3.0.3 (with gcc 4.3 support)

Revision 1.35  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.33  2006/08/07 22:36:00  darekr
- updated to 3.0.2, more docs

Revision 1.32  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.31  2003/10/14 16:28:50  qboosh
- up to 3.0.1, updated no_dvi_html patch

Revision 1.30  2003/06/19 22:44:10  qboosh
- typos

Revision 1.29  2003/05/26 16:25:07  malekith
- massive attack: adding Source-md5

Revision 1.28  2003/05/25 05:48:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.26  2002/06/30 13:42:53  kloczek
- use new %doc.

Revision 1.25  2002/04/25 16:28:35  arturs
fixed a small typo

Revision 1.24  2002/04/25 13:56:17  marcus
- rel.3.

Revision 1.23  2002/02/23 02:17:47  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:13:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/10/03 02:54:19  marcus
- configure2_13

Revision 1.19  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.17  2001/05/04 07:44:08  kloczek
- release 2,
- remove en text from pl translation,
- use C++ optomizations only when debug is not enabled.

Revision 1.16  2001/05/02 16:29:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.15  2000/11/03 00:30:25  kloczek
- updated to 2.7.2,
- removed egsc and DESTDIR outdated patches,
- use new rpm automation.

Revision 1.14  2000/06/18 22:35:28  kloczek
- release 7.

Revision 1.13  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.10  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.9  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.8  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.7  2000/04/02 19:07:34  arturs
- added %description -l pl

Revision 1.6  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  1999/09/26 17:47:17  kloczek
- typo.

Revision 1.4  1999/09/26 17:44:32  kloczek
- added Group(pl),
- fixed gperf info index entry (info patch),
- %install changed to DESTDIR style (DESTDIR patch) and added using
  %%configure macro,
- beter C++ optimization (added -fno-rtti -fno-exceptions
  -fno-implicit-templates to CXXFLAGS),
- more rpm macros.

Revision 1.3  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.2  1999/09/19 09:41:26  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- added patches for egcs from UP

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- patch for latest egcs

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- create.
